For the complete documentation index, see llms.txt. This page is also available as Markdown.

Contact Form

Get a contact form by ID

get
Query parameters
idstringRequired

The UUID of the contact form to retrieve

Header parameters
X-API-KEYstringRequired

Partner API Key

X-API-SECRETstringRequired

Partner API Secret

Responses
200

The contact form has been successfully retrieved.

application/json
idstringRequired

Unique identifier

createdAtstring · date-timeRequired

Creation timestamp

updatedAtstring · date-timeRequired

Last update timestamp

namestringRequired

Internal form name.

descriptionstring · nullableRequired

Internal form description.

Default: null
languagestring · enumRequired

Language used to generate review responses

Possible values:
enabledbooleanRequired

Determines if the form is enabled.

autoTranslatebooleanRequired

Whether to automatically translate the form.

submissionCountnumberRequired

Number of submissions recorded for this form.

brandIdstringRequired

Brand ID targeted by the contact form

brandNamestringRequired

Brand name targeted by the contact form

get/partners/contact-form
GET /partners/contact-form?id=text HTTP/1.1
Host: api.fullwhere.com
X-API-KEY: text
X-API-SECRET: text
Accept: */*
{
  "id": "text",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "updatedAt": "2026-01-01T00:00:00.000Z",
  "name": "text",
  "description": "text",
  "language": "af",
  "enabled": true,
  "autoTranslate": true,
  "generalStyle": {
    "fieldRadius": "SHARP",
    "buttonRadius": "SHARP",
    "font": {
      "name": "text",
      "url": "text"
    },
    "titleColor": "text",
    "subtitleColor": "text",
    "groupColor": "text",
    "textColor": "text",
    "accentColor": "text",
    "dividerColor": "text",
    "backgroundColor": "text",
    "labelColor": "text",
    "placeholderColor": "text",
    "fieldBackgroundColor": "text",
    "fieldBorderColor": "text",
    "buttonTextColor": "text",
    "buttonBackgroundColor": "text",
    "buttonBorderColor": "text",
    "logoPosition": 1,
    "coverImagePosition": 1,
    "submissionImagePosition": 1,
    "fieldOptionColor": "text"
  },
  "header": {
    "title": "text",
    "subtitle": "text"
  },
  "body": {
    "buttonText": "text"
  },
  "footer": {
    "display": true,
    "displayLogo": true,
    "backgroundColor": "text",
    "title": "text",
    "text": "text",
    "textColor": "text",
    "iconColor": "text",
    "imagePosition": 1
  },
  "externalLink": {
    "website": "text",
    "twitter": "text",
    "facebook": "text",
    "instagram": "text",
    "linkedin": "text"
  },
  "submission": {
    "title": "text",
    "subtitle": "text",
    "titleColor": "text",
    "subtitleColor": "text"
  },
  "logo": {
    "contentType": "text",
    "url": "text",
    "size": "text",
    "width": 1,
    "height": "text"
  },
  "footerLogo": {
    "contentType": "text",
    "url": "text",
    "size": "text",
    "width": 1,
    "height": "text"
  },
  "cover": {
    "contentType": "text",
    "url": "text",
    "size": "text",
    "width": 1,
    "height": "text"
  },
  "submissionImage": {
    "contentType": "text",
    "url": "text",
    "size": "text",
    "width": 1,
    "height": "text"
  },
  "submissionCount": 1,
  "fields": [
    {
      "id": "text",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "dependencies": [
        "text"
      ],
      "dependencyOf": [
        "text"
      ],
      "group": "text",
      "required": true,
      "label": "text",
      "placeholder": "text",
      "verticalIndex": 1,
      "horizontalIndex": 1,
      "values": [
        "text"
      ],
      "allowCustomValue": true,
      "allowMinReplies": true,
      "minReplies": 1,
      "allowMaxReplies": true,
      "maxReplies": 1,
      "operator": "$and",
      "type": "TEXT"
    }
  ],
  "fieldGroups": [
    {
      "id": "text",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "name": "text",
      "verticalIndex": 1
    }
  ],
  "fieldDependencies": [
    {
      "id": "text",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "field": "text",
      "dependsOnField": "text",
      "operator": "$and",
      "dependsOnFieldValues": [
        {
          "operator": "$eq",
          "value": "text"
        }
      ]
    }
  ],
  "brandId": "text",
  "brandName": "text"
}

List contact forms

post
Header parameters
X-API-KEYstringRequired

Partner API Key

X-API-SECRETstringRequired

Partner API Secret

Body
limitnumber · min: 1 · max: 100Optional

Pagination limit

Default: 10
pagenumber · min: 1Optional

Page to retrieve

Default: 1
Responses
201

The contact forms have been successfully listed.

application/json
post/partners/contact-form/list
POST /partners/contact-form/list HTTP/1.1
Host: api.fullwhere.com
X-API-KEY: text
X-API-SECRET: text
Content-Type: application/json
Accept: */*
Content-Length: 21

{
  "limit": 10,
  "page": 1
}
{
  "items": [
    {
      "id": "text",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "name": "text",
      "description": "text",
      "language": "af",
      "enabled": true,
      "autoTranslate": true,
      "generalStyle": {
        "fieldRadius": "SHARP",
        "buttonRadius": "SHARP",
        "font": {
          "name": "text",
          "url": "text"
        },
        "titleColor": "text",
        "subtitleColor": "text",
        "groupColor": "text",
        "textColor": "text",
        "accentColor": "text",
        "dividerColor": "text",
        "backgroundColor": "text",
        "labelColor": "text",
        "placeholderColor": "text",
        "fieldBackgroundColor": "text",
        "fieldBorderColor": "text",
        "buttonTextColor": "text",
        "buttonBackgroundColor": "text",
        "buttonBorderColor": "text",
        "logoPosition": 1,
        "coverImagePosition": 1,
        "submissionImagePosition": 1,
        "fieldOptionColor": "text"
      },
      "header": {
        "title": "text",
        "subtitle": "text"
      },
      "body": {
        "buttonText": "text"
      },
      "footer": {
        "display": true,
        "displayLogo": true,
        "backgroundColor": "text",
        "title": "text",
        "text": "text",
        "textColor": "text",
        "iconColor": "text",
        "imagePosition": 1
      },
      "externalLink": {
        "website": "text",
        "twitter": "text",
        "facebook": "text",
        "instagram": "text",
        "linkedin": "text"
      },
      "submission": {
        "title": "text",
        "subtitle": "text",
        "titleColor": "text",
        "subtitleColor": "text"
      },
      "logo": {
        "contentType": "text",
        "url": "text",
        "size": "text",
        "width": 1,
        "height": "text"
      },
      "footerLogo": {
        "contentType": "text",
        "url": "text",
        "size": "text",
        "width": 1,
        "height": "text"
      },
      "cover": {
        "contentType": "text",
        "url": "text",
        "size": "text",
        "width": 1,
        "height": "text"
      },
      "submissionImage": {
        "contentType": "text",
        "url": "text",
        "size": "text",
        "width": 1,
        "height": "text"
      },
      "submissionCount": 1,
      "fields": [
        {
          "id": "text",
          "createdAt": "2026-01-01T00:00:00.000Z",
          "updatedAt": "2026-01-01T00:00:00.000Z",
          "dependencies": [
            "text"
          ],
          "dependencyOf": [
            "text"
          ],
          "group": "text",
          "required": true,
          "label": "text",
          "placeholder": "text",
          "verticalIndex": 1,
          "horizontalIndex": 1,
          "values": [
            "text"
          ],
          "allowCustomValue": true,
          "allowMinReplies": true,
          "minReplies": 1,
          "allowMaxReplies": true,
          "maxReplies": 1,
          "operator": "$and",
          "type": "TEXT"
        }
      ],
      "fieldGroups": [
        {
          "id": "text",
          "createdAt": "2026-01-01T00:00:00.000Z",
          "updatedAt": "2026-01-01T00:00:00.000Z",
          "name": "text",
          "verticalIndex": 1
        }
      ],
      "fieldDependencies": [
        {
          "id": "text",
          "createdAt": "2026-01-01T00:00:00.000Z",
          "updatedAt": "2026-01-01T00:00:00.000Z",
          "field": "text",
          "dependsOnField": "text",
          "operator": "$and",
          "dependsOnFieldValues": [
            {
              "operator": "$eq",
              "value": "text"
            }
          ]
        }
      ],
      "brandId": "text",
      "brandName": "text"
    }
  ],
  "meta": {
    "itemCount": 1,
    "totalItems": 1,
    "itemsPerPage": 1,
    "totalPages": 1,
    "currentPage": 1
  }
}

Last updated